Subject: Re: LSP Egress

From: "Hemant P. Kelkar" <[email-masked]>
Date: Mon, 17 Sep 2001 07:00:01 -0400 (EDT)

Hi Mary,
The definition of LSP allows the egress node to be an non-MPLS node. 
For the ordered downstream control of label msgs, this node can't be the
egress for MPLS LSP. In this case the last but one, i.e. the penultimate
node becomes the proxy egress node. So, if the egress node is not
MPLS then the proxy egress initiates the LSP setup for that FEC within the
MPLS domain.
So, the LSP is not from ingress LSR(capable MPLS) to the proxy 
egress but from ingress LSR to the egress node(incapable MPLS).
In this case the proxy egress must have the outgoing label and 
the outgoing label is fixed implicit NULL label without receiving 
the label mapping message from the downstream next hop.

So, a PHP node can be a proxy egress , but in most of the cases  a proxy
node is always an PHP node.
--
Hemant